Package org.gitana.platform.client.changeset

# Class ChangesetImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.repository.AbstractRepositoryDocumentImpl
org.gitana.platform.client.changeset.ChangesetImpl

All Implemented Interfaces:
  `Serializable`, `Changeset`, `Document`, `PlatformDocument`, `RepositoryDocument`, `Copyable`, `Referenceable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class ChangesetImpl extends AbstractRepositoryDocumentImpl implements Changeset

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.changeset.Changeset

`FIELD_ACTIVE, FIELD_BRANCH, FIELD_PARENTS, FIELD_REV, FIELD_SUMMARY, FIELD_TAGS`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`ChangesetImpl(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTag(String tag)`
`boolean`
`equals(Object obj)`
`Branch`
`getBranch()`
`String`
`getBranchId()`
`List<String>`
`getParentChangesetIds()`
`String`
`getResourceUri()`
`int`
`getRev()`
`String`
`getSummary()`
`String[]`
`getTags()`
`String`
`getTypeId()`
`boolean`
`hasTag(String tag)`
`boolean`
`isActive()`
`org.gitana.platform.support.ResultMap<BaseNode>`
`listNodes()`
`void`
`removeTag(String tag)`
`void`
`setActive(boolean active)`
`void`
`setParentChangesetIds(List<String> parentChangesetIds)`
`void`
`setSummary(String summary)`

### Methods inherited from class org.gitana.platform.client.repository.AbstractRepositoryDocumentImpl

`getRepository, getRepositoryId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.changeset.Changeset

`getId`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.repository.RepositoryDocument

`getRepository, getRepositoryId`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### ChangesetImpl

public ChangesetImpl(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### getRev

public int getRev()

Specified by:
  `getRev` in interface `Changeset`

### getBranch

public Branch getBranch()

Specified by:
  `getBranch` in interface `Changeset`

### getTags

public String[] getTags()

Specified by:
  `getTags` in interface `Changeset`

### getSummary

public String getSummary()

Specified by:
  `getSummary` in interface `Changeset`

### setSummary

public void setSummary(String summary)

Specified by:
  `setSummary` in interface `Changeset`

### getBranchId

public String getBranchId()

Specified by:
  `getBranchId` in interface `Changeset`

### isActive

public boolean isActive()

Specified by:
  `isActive` in interface `Changeset`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getParentChangesetIds

public List<String> getParentChangesetIds()

Specified by:
  `getParentChangesetIds` in interface `Changeset`

### setParentChangesetIds

public void setParentChangesetIds(List<String> parentChangesetIds)

Specified by:
  `setParentChangesetIds` in interface `Changeset`

### hasTag

public boolean hasTag(String tag)

Specified by:
  `hasTag` in interface `Changeset`

### addTag

public void addTag(String tag)

Specified by:
  `addTag` in interface `Changeset`

### removeTag

public void removeTag(String tag)

Specified by:
  `removeTag` in interface `Changeset`

### setActive

public void setActive(boolean active)

Specified by:
  `setActive` in interface `Changeset`

### listNodes

public org.gitana.platform.support.ResultMap<BaseNode> listNodes()

Specified by:
  `listNodes` in interface `Changeset`